Page MenuHomePhabricator

Link to additional information and resources in the thank you message
Closed, ResolvedPublic3 Estimated Story Points

Assigned To
Authored By
aminalhazwani
Oct 26 2021, 4:18 PM
Referenced Files
F35050557: image.png
Apr 14 2022, 8:33 PM
F35051828: image.png
Apr 14 2022, 8:33 PM
F35050543: image.png
Apr 14 2022, 8:33 PM
F35051824: image.png
Apr 14 2022, 8:33 PM
F35051822: image.png
Apr 14 2022, 8:33 PM
F35051826: image.png
Apr 14 2022, 8:33 PM
F35050554: image.png
Apr 14 2022, 8:33 PM
F35050547: image.png
Apr 14 2022, 8:33 PM

Description

User Story

When I see/read/reply to a survey displayed on a wiki page I want to be able to easily access additional information so that I can further learn/understand/discover more about the topic of the survey.

Background info

The safety survey it's a valuable opportunity for the Trust and Safety team to raise awareness around related topics and resources. If a user wants to find out more this is the perfect opportunity to do so.

The following image displays the current experience

Status Quo.jpg (1ร—2 px, 867 KB)

Design specs

We could display a custom header and description with additional information and/or links to resources in the thank you message.

Desired Outcome.jpg (1ร—2 px, 775 KB)

Technical information

The thank you message is not configurable at the moment, the default one lives in a key in the i18n json files. This means this task would entail:

  • Making the thank you message (one for header and one for paragraph) configurable per survey
    • If not present fall back to the default one for the header, and nothing for the paragraph
  • Capture the thank you message into the surveys data and messages to be sent to the frontend
  • In the frontend appropriately render the message based on such configuration

Testing and QA steps

Note that the links in this section will only work after we have deployed these to beta.

  • prerequisite deployment to beta

We need to test the 8 relevant combinations of survey config.
For internal surveys, click any answer and then observe the text in the survey panel after completion:

  • internal survey, custom thank you & additional info - link
    • thank you message: Thank you for your feedback.
    • footer message: If you experienced or witnessed harassment check these resources.
  • internal survey, custom thank you, no additional info - link
    • thank you message: Thank you for your feedback.
    • footer message: This anonymous survey is conducted by the Wikimedia Foundation. Read more or check the privacy statement.
  • internal survey, default thank you & additional info - link
    • thank you message: Thanks for the feedback! We are using it to make {{SITENAME}} even better!
    • footer message: If you experienced or witnessed harassment check these resources.
  • internal survey, default thank you, no additional info - link
    • thank you message: Thanks for the feedback! We are using it to make {{SITENAME}} even better!
    • footer message: This anonymous survey is conducted by the Wikimedia Foundation. Read more or check the privacy statement.

For external surveys, click Visit Survey (which will open a new window or tab which may be closed immediately) and then observe the text in the survey panel after completion:

  • external survey, custom thank you & additional info - link
    • thank you message: Thank you for your feedback.
    • footer message: If you experienced or witnessed harassment check these resources.
  • external survey, custom thank you, no additional info - link
    • thank you message: Thank you for your feedback.
    • footer message: This anonymous survey is conducted by the Wikimedia Foundation. Read more or check the privacy statement.
  • external survey, default thank you & additional info - link
    • thank you message: Thanks for the feedback! We are using it to make {{SITENAME}} even better!
    • footer message: If you experienced or witnessed harassment check these resources.
  • external survey, default thank you, no additional info - link
    • thank you message: Thanks for the feedback! We are using it to make {{SITENAME}} even better!
    • footer message: This anonymous survey is conducted by the Wikimedia Foundation. Read more or check the privacy statement.

Acceptance Criteria

  • Surveys without a defined thank you and/or additional info message show the default thank you and privacy policy messages on completion
  • Surveys with a defined thank you and/or additional info message show the custom thank you and privacy policy messages on completion

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptOct 26 2021, 4:19 PM

@Madalina @Jhernandez I am looking for your feedback regarding this task, hence moving it to pre-estimation review. We would like to add links to resources in the thank you message. We can make an assumption that people who replied to the survey are probably users who experienced (or are familiar with) these issues and are potentially willing to share/learn more about those specific topics.

@Madalina do we have enough resources to move this forward? @Jhernandez does this proposal needs changes to QuickSurvey code base or is it something that we can simply define in the configuration file?

image.png (970ร—1 px, 450 KB)

Many thanks!

We need @Jhernandez input on what adding links means in terms of effort.

The last message currently comes from "ext-quicksurveys-survey-confirm-msg", a single message that is not configurable per survey.

From the mockups, it seems like the suggestion is splitting the message in two fields, one for the "header" and another one for the "description".

From the implementation, it is possible and not the biggest task, but it has a few steps that we need to do. Here is an outline:

  1. Parse and validate these optional labels from the config in the backend
  2. Modify the thanks screen to print two messages instead of one if present
  3. Use the messages in the frontend in the thanks screen if configured or default to the existing one
  4. Test different variations of the survey configured to ensure the thanks messages prints sanely

We would need to decide as well if only the second message is configured, if we print the default one for the first message or something else.

Just to clarify, you will get the same header and description no matter the response you give. An alternative approach that might make things simpler would be to make the two texts part of the same message.

image.png (782ร—1 px, 299 KB)

After Joaquin clarification today we learned that the thank you message is hardcoded in QuickSurvey. This means that if we are going to change its text this change will be reflected on all QuickSurveys deployed across wiki-related projects. This is a no-go therefore we are suggesting to make the text more generic, see T295471: Update thank you message to be more generic and keep this task as a feature task for adding two configurations in QuickSurvey: namely one for the thank you title, and one for the thank you description.

eigyan changed the task status from Open to Stalled.Mar 9 2022, 3:14 PM
eigyan changed the task status from Stalled to In Progress.Mar 14 2022, 1:58 PM

@aminalhazwani so we have finalized thank you and additional info messages that we'd like to use in the safety survey? If so, I could get those strings added so that we can use them in testing and get them rolled out sooner rather than later. If not, I can just use what's in your design examples in test messages.

@jsn.sherman we will not use additional info messages for this round! Please keep the default QuickSurvey message for the safety survey (so we're not adding last minute changes) - we can add them at the next data collection (around June).

@TAndic got it! Thanks for the quick feedback! I'll just add test messages directly into the quicksurveys extension to ease QA on this, then.
@aminalhazwani sounds like my direction has been set; please disregard.

Change 774933 had a related patch set uploaded (by Jsn.sherman; author: Jsn.sherman):

[mediawiki/extensions/WikimediaMessages@master] Add internal trust and safety survey test messages

https://gerrit.wikimedia.org/r/774933

Change 774948 had a related patch set uploaded (by Jsn.sherman; author: Jsn.sherman):

[operations/mediawiki-config@master] Add surveys to enwiki on beta for QA

https://gerrit.wikimedia.org/r/774948

Change 774933 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Add internal trust and safety survey test messages

https://gerrit.wikimedia.org/r/774933

Change 774948 merged by jenkins-bot:

[operations/mediawiki-config@master] Add surveys to enwiki on beta for QA

https://gerrit.wikimedia.org/r/774948

Change 779499 had a related patch set uploaded (by Jsn.sherman; author: Jsn.sherman):

[operations/mediawiki-config@master] Update enwiki surveys on beta for QA

https://gerrit.wikimedia.org/r/779499

Change 774948 merged by jenkins-bot:

[operations/mediawiki-config@master] Add surveys to enwiki on beta for QA

https://gerrit.wikimedia.org/r/774948

This change looked good, but the survey config array didn't actually end up on beta when the deployer checked the live config. Numerous folks looked at it and couldn't determine the problem.

Change 779499 had a related patch set uploaded (by Jsn.sherman; author: Jsn.sherman):

[operations/mediawiki-config@master] Update enwiki surveys on beta for QA

https://gerrit.wikimedia.org/r/779499

During an engineering meeting, @eigyan noted that he previously encountered problems deploying surveys as an associative array, so I've updated this to be indexed instead.

Change 779499 merged by jenkins-bot:

[operations/mediawiki-config@master] Update enwiki surveys on beta for QA

https://gerrit.wikimedia.org/r/779499

Change 779940 had a related patch set uploaded (by Jsn.sherman; author: Jsn.sherman):

[operations/mediawiki-config@master] Enable QuickSurveys on enwiki beta

https://gerrit.wikimedia.org/r/779940

Change 779940 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable QuickSurveys on enwiki beta

https://gerrit.wikimedia.org/r/779940

Verified that the QA surveys are now working on enwiki beta, so the links in the description are functional and ready for QA

Djackson-ctr added a subscriber: Djackson-ctr.

@jsn.sherman:
I have verified the Thank You messages and Footer links were displaying and functioning per the Testing and QA Steps listed in the ticket Description.

@aminalhazwani
In our last sprint planning session the team had a discussion about having anything with a Frontend User Interface to pass QA and then go to Design Review for your final approval and then go to Product Sign-Off, so I am passing this ticket to you for your final approval of the Design layout of these messages, if everything meets your approval then you can push this ticket to Product Sign-Off.


image.png (879ร—1 px, 287 KB)

image.png (938ร—1 px, 397 KB)

image.png (951ร—1 px, 390 KB)

image.png (934ร—1 px, 398 KB)

image.png (944ร—1 px, 380 KB)

image.png (941ร—1 px, 413 KB)

image.png (944ร—1 px, 272 KB)

image.png (954ร—1 px, 396 KB)

image.png (883ร—420 px, 173 KB)

image.png (876ร—441 px, 142 KB)

image.png (889ร—441 px, 171 KB)

image.png (795ร—450 px, 181 KB)

image.png (797ร—451 px, 165 KB)

image.png (783ร—460 px, 152 KB)

Thank you @Djackson-ctr! Looking good to me, moving on to product sign-off, cc @Madalina.